# Backup extension
backup_ext=cn5-upgrade

# carnet-upgrade aborts if these packages are not up to date
# name		wanted version
needed_versions='
amavis-stats-cn	0.1.12-2
amavisd-cn	3:2.4.2-4
aosi-aai	2.2.0
aosi-www-aai	1:1.5.10
apache2-cn	2.2-4
bind9-cn	2:9.3.4-1
carnet-tools-cn	2.8.3
clamav-cn	3:0.94-7
debian-archive-keyring	2009.01.31
dovecot-cn	1:1.0.15-1
fail2ban-cn	0.8.3-1
freeradius-aai	1.1.7-2
iptables-cn	2:1.2.11-6
kernel-2.6-cn	3:2.6.24-5
mailman-cn	2:2.1.9-1
monit-cn	1:4.8.1-8
munin-cn	1.2.3-1
mysql-cn	2:5.0.51-1
ntp-cn	2:4.2.2.p4-4
openldap-aai	2.3.30-2
openssh-cn	2:4.3p2-2
php-suhosin-cn	0.9.20-3
php4-cn	4:4.4.4-6
php5-cn	5.2.0-7
postfix-cn	2.5.5-2
proftpd-cn	2:1.3.0-3
samba-cn	3.0.24-1
spamassassin-cn	2:3.2.5-6
squirrelmail-change-pass-cn	2.7a-2
squirrelmail-cn	2:1.4.15-1
vsftpd-cn	2.0.5-2
webalizer-cn	2.01.10-32
'

# URL to use for checking the latest version of carnet-upgrade itself
packages_uri='http://ftp.carnet.hr/carnet-debian/dists/carnet-etch/main/binary-i386/Packages'

# Packages to forcibly install before installing the rest with dist-upgrade,
# because dist-upgrade would rather remove or keep them back them.
packages_first='
libkrb5-17-heimdal postgresql-client unixodbc iptables oidentd libpam-modules procps base-passwd
'

# Packages that provide crucial services, upgrade them before the rest
packages_second='
amavisd-cn
amavis-stats-cn
aosi-aai
aosi-www-aai
bind9-cn bind9
clamav-cn clamav-daemon
dovecot-cn
freeradius-aai freeradius
jre-cn
kernel-2.6-cn
libkrb5-17-heimdal
monit-cn
munin-cn
mysql-cn mysql-client mysql-server
ntp-cn
openldap-aai
openssh-cn openssh-server openssh-client ssh
ossec-hids-cn
php4-odbc
php4-xslt
pine-cn
postfix-cn
spamassassin-cn	spamassassin razor
squirrelmail-cn squirrelmail
vsftpd-cn
webalizer-cn
xinetd-cn xinetd	
'

# We want to remove these packages, used in remove_bloat()
# nice name		packages to remove
bloats='
gobjc gpc gcj gij chill g77		gcc-2.95-cn gcc-cn gcc-misc-cn gobjc gpc gcj gij chill g77
nessus		libnessus2 nessus-cn
prelude piwi	piwi piwi-cn libprelude0 prelude-sensors-cn prelude-manager-cn prelude-manager
snort		snort snort-cn snort-central-cn
stari CN paketi	autoconf-cn automake-cn bison-cn bitchx-cn chkrootkit-cn cvs-cn diff-cn elinks-cn expect-cn file-cn flex-cn gawk-cn gdb-cn gettext-cn gnupg-cn grep-cn iptraf-cn jed-cn joe-cn less-cn lftp-cn logcheck-cn logrotate-cn lsof-cn ltrace-cn lynx-cn make-cn mutt-cn netcat-cn nmap-cn ntop-cn openssl-cn perl-cn procmail-cn python-cn razor-cn screen-cn slrn-cn strace-cn stunnel-cn sudo-cn sys-mon-cn tcpdump-cn telnet-ssl-cn telnetd-ssl unace-cn vim-cn wget-cn wv-cn ytalk-cn zsh-cn
usbmgr		usbmgr
'
# CN services to offer for removal
cn_bloats='
aide-cn aide-central-cn aide
amavisd-cn amavisd-new
amavis-stats-cn amavis-stats
bind9-cn bind9
clamav-cn clamav-daemon clamav-freshclam clamav clamav-base
dovecot-cn dovecot dovecot-imapd dovecot-pop3d dovecot-common
kernel-source-cn
jre-cn sun-java5-jre sun-java5-bin sun-java5-fonts
mailman-cn mailman
mrtg-cn mrtg
munin-cn munin munin-node
mysql-cn mysql-client mysql-server mysql-common
oidentd-cn oidentd
samba-cn samba smbclient
spamassassin-cn spamassassin spamc razor dcc-client
squid-cn squid
squirrelmail-cn squirrelmail squirrelmail-locales
vsftpd-cn vsftpd
webalizer-cn webalizer
xinetd-cn xinetd
'

# simulate deborphan
orphaned_packages='
libsnmp9
libsensors3
'

# new packages to be installed
new_packages='
ocsinventory-agent-cn
mlocate
'

# Check if these services are running after upgrade
# package-cn		user		proces (pazi, regexp)			nice name
services_to_check='
amavisd-cn		amavis		amavisd [(]master[)]			Amavis
aosi-aai		aosi		/usr/sbin/aosi				AOSI
apache2-cn		www-data	/usr/sbin/apache2			Apache2
apache-cn		www-data	/usr/sbin/apache			Apache
bind9-cn		bind		/usr/sbin/named				Bind
clamav-cn		clamav		/usr/bin/freshclam			ClamAV update
clamav-cn		clamav		/usr/sbin/clamd				ClamAV
dovecot-cn		root		/usr/sbin/dovecot			Dovecot
freeradius-aai		freerad		/usr/sbin/freeradius			FreeRADIUS
mailman-cn		list		/usr/lib/mailman/bin/mailmanctl		Mailman
monit-cn		root		/usr/sbin/monit				Monit
munin-cn		root		/usr/sbin/munin-node			Munin
mysql-cn		mysql		/usr/sbin/mysqld			MySQL
ntop-cn			ntop		/usr/sbin/ntop				Ntop
ntp-cn			ntp		/usr/sbin/ntpd				NTP
oidentd-cn		oident		/usr/sbin/oidentd			oidentd
openldap-aai		openldap	/usr/sbin/slapd				OpenLDAP
openssh-cn		root		/usr/sbin/sshd				OpenSSH
ossec-hids-cn		ossecm		/var/ossec/bin/ossec			OSSec
postfix-cn		root		/usr/lib/postfix/master			Postfix
postfix-cn		root		/usr/sbin/saslauthd			SASL authentication
postgresql		postgres	/usr/lib/postgresql/7.4/bin/postmaster	PostgreSQL
samba-cn		root		/usr/sbin/smbd				Samba
snort-cn		snort		/usr/sbin/snort				Snort
squid-cn		root		/usr/sbin/squid				Squid
vsftpd-cn		root		/usr/sbin/vsftpd			VSFTPD
xinetd-cn		root		/usr/sbin/xinetd			xinetd
'
